{ pkgs ? import <nixpkgs> { } }:

let
  nur = import (builtins.fetchTarball
    "https://github.com/nix-community/NUR/archive/master.tar.gz") {
      inherit pkgs;
    };
  tex = with pkgs;
    texlive.combine { inherit (texlive) scheme-medium bitter titlesec; };
in pkgs.mkShell {
  buildInputs = with pkgs; [
    rustc
    cargo
    rls
    rustfmt
    cargo-watch

    pkg-config
    ncurses

    kindlegen
    nur.repos.mic92.pandoc-bin
    tex
  ];
}
